<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser Namespace Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacex_a_p_i___definitions___parser_1_1_code"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacex_a_p_i___definitions___parser_1_1_definitions"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_definitions.html">Definitions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacex_a_p_i___definitions___parser_1_1_deserialization"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_deserialization.html">Deserialization</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacex_a_p_i___definitions___parser_1_1_i_o"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_i_o.html">IO</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><b>EnumMethods</b></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class with enum methods <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><b>Generator</b></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class that provides easy to use access to code generation functionality <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><b>String_Ext</b></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class with extension functions for strings <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ae7ab0827c0b34ea00630d33893561186"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacex_a_p_i___definitions___parser.html#ae7ab0827c0b34ea00630d33893561186">SourceType</a> { <a class="el" href="namespacex_a_p_i___definitions___parser.html#ae7ab0827c0b34ea00630d33893561186a509820290d57f333403f490dde7316f4">Local</a>
, <a class="el" href="namespacex_a_p_i___definitions___parser.html#ae7ab0827c0b34ea00630d33893561186acf0a6993a4b526850302726c7cca0e7f">GitLab</a>
 }</td></tr>
<tr class="memdesc:ae7ab0827c0b34ea00630d33893561186"><td class="mdescLeft">&#160;</td><td class="mdescRight">Source types  <a href="namespacex_a_p_i___definitions___parser.html#ae7ab0827c0b34ea00630d33893561186">More...</a><br /></td></tr>
<tr class="separator:ae7ab0827c0b34ea00630d33893561186"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad50b8a1de7c637d2d740f48640c5e828"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacex_a_p_i___definitions___parser.html#ad50b8a1de7c637d2d740f48640c5e828">CodeLanguage</a> { <a class="el" href="namespacex_a_p_i___definitions___parser.html#ad50b8a1de7c637d2d740f48640c5e828a83925001a044cdfe0c64e9a44345b66d">CSharp</a>
, <a class="el" href="namespacex_a_p_i___definitions___parser.html#ad50b8a1de7c637d2d740f48640c5e828a686155af75a60a0f6e9d80c1f7edd3e9">JavaScript</a>
, <a class="el" href="namespacex_a_p_i___definitions___parser.html#ad50b8a1de7c637d2d740f48640c5e828aa7f5f35426b927411fc9231b56382173">Python</a>
 }</td></tr>
<tr class="memdesc:ad50b8a1de7c637d2d740f48640c5e828"><td class="mdescLeft">&#160;</td><td class="mdescRight">Code languages  <a href="namespacex_a_p_i___definitions___parser.html#ad50b8a1de7c637d2d740f48640c5e828">More...</a><br /></td></tr>
<tr class="separator:ad50b8a1de7c637d2d740f48640c5e828"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7304fe36f516e10a19758f58fa541433"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> { <br />
&#160;&#160;<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433a3d067bedfe2f4677470dd6ccf64d05ed">Public</a>
, <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433a47f9082fc380ca62d531096aa1d110f1">Private</a>
, <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433a56f0605c9795b173abd2e34fab7fc164">Protected</a>
, <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433a84a8921b25f505d0d2077aeb5db4bc16">Static</a>
, <br />
&#160;&#160;<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433a615e6f9baca5553d44683a098d342b70">Virtual</a>
<br />
 }</td></tr>
<tr class="memdesc:a7304fe36f516e10a19758f58fa541433"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access modifiers  <a href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">More...</a><br /></td></tr>
<tr class="separator:a7304fe36f516e10a19758f58fa541433"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="ad50b8a1de7c637d2d740f48640c5e828" name="ad50b8a1de7c637d2d740f48640c5e828"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad50b8a1de7c637d2d740f48640c5e828">&#9670;&nbsp;</a></span>CodeLanguage</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespacex_a_p_i___definitions___parser.html#ad50b8a1de7c637d2d740f48640c5e828">xAPI_Definitions_Parser.CodeLanguage</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a> languages </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ad50b8a1de7c637d2d740f48640c5e828a83925001a044cdfe0c64e9a44345b66d" name="ad50b8a1de7c637d2d740f48640c5e828a83925001a044cdfe0c64e9a44345b66d"></a>CSharp&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad50b8a1de7c637d2d740f48640c5e828a686155af75a60a0f6e9d80c1f7edd3e9" name="ad50b8a1de7c637d2d740f48640c5e828a686155af75a60a0f6e9d80c1f7edd3e9"></a>JavaScript&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad50b8a1de7c637d2d740f48640c5e828aa7f5f35426b927411fc9231b56382173" name="ad50b8a1de7c637d2d740f48640c5e828aa7f5f35426b927411fc9231b56382173"></a>Python&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<a id="a7304fe36f516e10a19758f58fa541433" name="a7304fe36f516e10a19758f58fa541433"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7304fe36f516e10a19758f58fa541433">&#9670;&nbsp;</a></span>Modifier</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">xAPI_Definitions_Parser.Modifier</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access modifiers </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a7304fe36f516e10a19758f58fa541433a3d067bedfe2f4677470dd6ccf64d05ed" name="a7304fe36f516e10a19758f58fa541433a3d067bedfe2f4677470dd6ccf64d05ed"></a>Public&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a7304fe36f516e10a19758f58fa541433a47f9082fc380ca62d531096aa1d110f1" name="a7304fe36f516e10a19758f58fa541433a47f9082fc380ca62d531096aa1d110f1"></a>Private&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a7304fe36f516e10a19758f58fa541433a56f0605c9795b173abd2e34fab7fc164" name="a7304fe36f516e10a19758f58fa541433a56f0605c9795b173abd2e34fab7fc164"></a>Protected&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a7304fe36f516e10a19758f58fa541433a84a8921b25f505d0d2077aeb5db4bc16" name="a7304fe36f516e10a19758f58fa541433a84a8921b25f505d0d2077aeb5db4bc16"></a>Static&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a7304fe36f516e10a19758f58fa541433a615e6f9baca5553d44683a098d342b70" name="a7304fe36f516e10a19758f58fa541433a615e6f9baca5553d44683a098d342b70"></a>Virtual&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<a id="ae7ab0827c0b34ea00630d33893561186" name="ae7ab0827c0b34ea00630d33893561186"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7ab0827c0b34ea00630d33893561186">&#9670;&nbsp;</a></span>SourceType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespacex_a_p_i___definitions___parser.html#ae7ab0827c0b34ea00630d33893561186">xAPI_Definitions_Parser.SourceType</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Source types </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ae7ab0827c0b34ea00630d33893561186a509820290d57f333403f490dde7316f4" name="ae7ab0827c0b34ea00630d33893561186a509820290d57f333403f490dde7316f4"></a>Local&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae7ab0827c0b34ea00630d33893561186acf0a6993a4b526850302726c7cca0e7f" name="ae7ab0827c0b34ea00630d33893561186acf0a6993a4b526850302726c7cca0e7f"></a>GitLab&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
